

package gov.va.med.cds.exceptionframework;


import gov.va.med.cds.request.ErrorResponseInterface;

import java.util.ArrayList;
import java.util.List;


public abstract class AbstractErrorResponse
    implements
        ErrorResponseInterface
{
    private List<ExceptionInfo> exceptionInfos = null;


    public List<ExceptionInfo> getExceptionInfos( )
    {
        if ( exceptionInfos == null )
        {
            exceptionInfos = new ArrayList<ExceptionInfo>();
        }

        return exceptionInfos;
    }


    public void setExceptionInfos( List<ExceptionInfo> exceptionInfos )
    {
        this.exceptionInfos = exceptionInfos;
    }

}
